import {csv, json} from 'd3';

export const loadAndProcessData = () => 
	Promise.all([
    csv('https://vizhub.com/Joker-tr/datasets/NewData3.csv'),
    json('https://raw.githubusercontent.com/n4cr/iran-geojson/master/iran_geo.json')])
  		.then(([csvdata, data]) => {
  
  				//console.log(data);
  				//console.log(csvdata);
  
          const rowById = csvdata.reduce((total, d) => {
            total[d.HASC_1] = d;
            return total;}, {});
               
  
          data.features.forEach(d => {
              Object.assign(d.properties, rowById[d.properties.HASC_1]);
              });
  				
      		return data;
        
        });

